Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event
Class EventListeners

    java.lang.Object
      org.hibernate.util.Cloneable
          org.hibernate.event.EventListeners

All Implemented Interfaces:
  Serializable

    public class EventListeners

extends Cloneable
implements Serializable

A convience holder for all defined session event listeners.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`EventListeners()`

Method Summary
`AutoFlushEventListener[]` | `getAutoFlushEventListeners()`
`DeleteEventListener[]` | `getDeleteEventListeners()`
`DirtyCheckEventListener[]` | `getDirtyCheckEventListeners()`
`EvictEventListener[]` | `getEvictEventListeners()`
`FlushEntityEventListener[]` | `getFlushEntityEventListeners()`
`FlushEventListener[]` | `getFlushEventListeners()`
`InitializeCollectionEventListener[]` | `getInitializeCollectionEventListeners()`
`Class` | `getListenerClassFor(String type)`
`LoadEventListener[]` | `getLoadEventListeners()`
`LockEventListener[]` | `getLockEventListeners()`
`MergeEventListener[]` | `getMergeEventListeners()`
`PersistEventListener[]` | `getPersistEventListeners()`
`PersistEventListener[]` | `getPersistOnFlushEventListeners()`
`PostCollectionRecreateEventListener[]` | `getPostCollectionRecreateEventListeners()`
`PostCollectionRemoveEventListener[]` | `getPostCollectionRemoveEventListeners()`
`PostCollectionUpdateEventListener[]` | `getPostCollectionUpdateEventListeners()`
`PostDeleteEventListener[]` | `getPostCommitDeleteEventListeners()`
`PostInsertEventListener[]` | `getPostCommitInsertEventListeners()`
`PostUpdateEventListener[]` | `getPostCommitUpdateEventListeners()`
`PostDeleteEventListener[]` | `getPostDeleteEventListeners()`
`PostInsertEventListener[]` | `getPostInsertEventListeners()`
`PostLoadEventListener[]` | `getPostLoadEventListeners()`
`PostUpdateEventListener[]` | `getPostUpdateEventListeners()`
`PreCollectionRecreateEventListener[]` | `getPreCollectionRecreateEventListeners()`
`PreCollectionRemoveEventListener[]` | `getPreCollectionRemoveEventListeners()`
`PreCollectionUpdateEventListener[]` | `getPreCollectionUpdateEventListeners()`
`PreDeleteEventListener[]` | `getPreDeleteEventListeners()`
`PreInsertEventListener[]` | `getPreInsertEventListeners()`
`PreLoadEventListener[]` | `getPreLoadEventListeners()`
`PreUpdateEventListener[]` | `getPreUpdateEventListeners()`
`RefreshEventListener[]` | `getRefreshEventListeners()`
`ReplicateEventListener[]` | `getReplicateEventListeners()`
`SaveOrUpdateEventListener[]` | `getSaveEventListeners()`
`MergeEventListener[]` | `getSaveOrUpdateCopyEventListeners()`
`SaveOrUpdateEventListener[]` | `getSaveOrUpdateEventListeners()`
`SaveOrUpdateEventListener[]` | `getUpdateEventListeners()`
`void` | `initializeListeners(Configuration cfg)` Call `initialize()` on any listeners that implement `Initializable`.
`void` | `setAutoFlushEventListeners(AutoFlushEventListener[] autoFlushEventListener)`
`void` | `setDeleteEventListeners(DeleteEventListener[] deleteEventListener)`
`void` | `setDirtyCheckEventListeners(DirtyCheckEventListener[] dirtyCheckEventListener)`
`void` | `setEvictEventListeners(EvictEventListener[] evictEventListener)`
`void` | `setFlushEntityEventListeners(FlushEntityEventListener[] flushEntityEventListener)`
`void` | `setFlushEventListeners(FlushEventListener[] flushEventListener)`
`void` | `setInitializeCollectionEventListeners(InitializeCollectionEventListener[] initializeCollectionEventListener)`
`void` | `setLoadEventListeners(LoadEventListener[] loadEventListener)`
`void` | `setLockEventListeners(LockEventListener[] lockEventListener)`
`void` | `setMergeEventListeners(MergeEventListener[] mergeEventListener)`
`void` | `setPersistEventListeners(PersistEventListener[] createEventListener)`
`void` | `setPersistOnFlushEventListeners(PersistEventListener[] createEventListener)`
`void` | `setPostCollectionRecreateEventListeners(PostCollectionRecreateEventListener[] postCollectionRecreateEventListener)`
`void` | `setPostCollectionRemoveEventListeners(PostCollectionRemoveEventListener[] postCollectionRemoveEventListener)`
`void` | `setPostCollectionUpdateEventListeners(PostCollectionUpdateEventListener[] postCollectionUpdateEventListeners)`
`void` | `setPostCommitDeleteEventListeners(PostDeleteEventListener[] postCommitDeleteEventListeners)`
`void` | `setPostCommitInsertEventListeners(PostInsertEventListener[] postCommitInsertEventListeners)`
`void` | `setPostCommitUpdateEventListeners(PostUpdateEventListener[] postCommitUpdateEventListeners)`
`void` | `setPostDeleteEventListeners(PostDeleteEventListener[] postDeleteEventListener)`
`void` | `setPostInsertEventListeners(PostInsertEventListener[] postInsertEventListener)`
`void` | `setPostLoadEventListeners(PostLoadEventListener[] postLoadEventListener)`
`void` | `setPostUpdateEventListeners(PostUpdateEventListener[] postUpdateEventListener)`
`void` | `setPreCollectionRecreateEventListeners(PreCollectionRecreateEventListener[] preCollectionRecreateEventListener)`
`void` | `setPreCollectionRemoveEventListeners(PreCollectionRemoveEventListener[] preCollectionRemoveEventListener)`
`void` | `setPreCollectionUpdateEventListeners(PreCollectionUpdateEventListener[] preCollectionUpdateEventListeners)`
`void` | `setPreDeleteEventListeners(PreDeleteEventListener[] preDeleteEventListener)`
`void` | `setPreInsertEventListeners(PreInsertEventListener[] preInsertEventListener)`
`void` | `setPreLoadEventListeners(PreLoadEventListener[] preLoadEventListener)`
`void` | `setPreUpdateEventListeners(PreUpdateEventListener[] preUpdateEventListener)`
`void` | `setRefreshEventListeners(RefreshEventListener[] refreshEventListener)`
`void` | `setReplicateEventListeners(ReplicateEventListener[] replicateEventListener)`
`void` | `setSaveEventListeners(SaveOrUpdateEventListener[] saveEventListener)`
`void` | `setSaveOrUpdateCopyEventListeners(MergeEventListener[] saveOrUpdateCopyEventListener)`
`void` | `setSaveOrUpdateEventListeners(SaveOrUpdateEventListener[] saveOrUpdateEventListener)`
`void` | `setUpdateEventListeners(SaveOrUpdateEventListener[] updateEventListener)`

Methods inherited from class org.hibernate.util.Cloneable
`shallowCopy, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListeners

    public EventListeners()

Method Detail

### getListenerClassFor

    public Class getListenerClassFor(String type)

### getLoadEventListeners

    public LoadEventListener[] getLoadEventListeners()

### setLoadEventListeners

    public void setLoadEventListeners(LoadEventListener[] loadEventListener)

### getReplicateEventListeners

    public ReplicateEventListener[] getReplicateEventListeners()

### setReplicateEventListeners

    public void setReplicateEventListeners(ReplicateEventListener[] replicateEventListener)

### getDeleteEventListeners

    public DeleteEventListener[] getDeleteEventListeners()

### setDeleteEventListeners

    public void setDeleteEventListeners(DeleteEventListener[] deleteEventListener)

### getAutoFlushEventListeners

    public AutoFlushEventListener[] getAutoFlushEventListeners()

### setAutoFlushEventListeners

    public void setAutoFlushEventListeners(AutoFlushEventListener[] autoFlushEventListener)

### getDirtyCheckEventListeners

    public DirtyCheckEventListener[] getDirtyCheckEventListeners()

### setDirtyCheckEventListeners

    public void setDirtyCheckEventListeners(DirtyCheckEventListener[] dirtyCheckEventListener)

### getFlushEventListeners

    public FlushEventListener[] getFlushEventListeners()

### setFlushEventListeners

    public void setFlushEventListeners(FlushEventListener[] flushEventListener)

### getEvictEventListeners

    public EvictEventListener[] getEvictEventListeners()

### setEvictEventListeners

    public void setEvictEventListeners(EvictEventListener[] evictEventListener)

### getLockEventListeners

    public LockEventListener[] getLockEventListeners()

### setLockEventListeners

    public void setLockEventListeners(LockEventListener[] lockEventListener)

### getRefreshEventListeners

    public RefreshEventListener[] getRefreshEventListeners()

### setRefreshEventListeners

    public void setRefreshEventListeners(RefreshEventListener[] refreshEventListener)

### getInitializeCollectionEventListeners

    public InitializeCollectionEventListener[] getInitializeCollectionEventListeners()

### setInitializeCollectionEventListeners

    public void setInitializeCollectionEventListeners(InitializeCollectionEventListener[] initializeCollectionEventListener)

### getFlushEntityEventListeners

    public FlushEntityEventListener[] getFlushEntityEventListeners()

### setFlushEntityEventListeners

    public void setFlushEntityEventListeners(FlushEntityEventListener[] flushEntityEventListener)

### getSaveOrUpdateEventListeners

    public SaveOrUpdateEventListener[] getSaveOrUpdateEventListeners()

### setSaveOrUpdateEventListeners

    public void setSaveOrUpdateEventListeners(SaveOrUpdateEventListener[] saveOrUpdateEventListener)

### getMergeEventListeners

    public MergeEventListener[] getMergeEventListeners()

### setMergeEventListeners

    public void setMergeEventListeners(MergeEventListener[] mergeEventListener)

### getPersistEventListeners

    public PersistEventListener[] getPersistEventListeners()

### setPersistEventListeners

    public void setPersistEventListeners(PersistEventListener[] createEventListener)

### getPersistOnFlushEventListeners

    public PersistEventListener[] getPersistOnFlushEventListeners()

### setPersistOnFlushEventListeners

    public void setPersistOnFlushEventListeners(PersistEventListener[] createEventListener)

### getSaveOrUpdateCopyEventListeners

    public MergeEventListener[] getSaveOrUpdateCopyEventListeners()

### setSaveOrUpdateCopyEventListeners

    public void setSaveOrUpdateCopyEventListeners(MergeEventListener[] saveOrUpdateCopyEventListener)

### getSaveEventListeners

    public SaveOrUpdateEventListener[] getSaveEventListeners()

### setSaveEventListeners

    public void setSaveEventListeners(SaveOrUpdateEventListener[] saveEventListener)

### getUpdateEventListeners

    public SaveOrUpdateEventListener[] getUpdateEventListeners()

### setUpdateEventListeners

    public void setUpdateEventListeners(SaveOrUpdateEventListener[] updateEventListener)

### getPostLoadEventListeners

    public PostLoadEventListener[] getPostLoadEventListeners()

### setPostLoadEventListeners

    public void setPostLoadEventListeners(PostLoadEventListener[] postLoadEventListener)

### getPreLoadEventListeners

    public PreLoadEventListener[] getPreLoadEventListeners()

### setPreLoadEventListeners

    public void setPreLoadEventListeners(PreLoadEventListener[] preLoadEventListener)

### getPreCollectionRecreateEventListeners

    public PreCollectionRecreateEventListener[] getPreCollectionRecreateEventListeners()

### setPreCollectionRecreateEventListeners

    public void setPreCollectionRecreateEventListeners(PreCollectionRecreateEventListener[] preCollectionRecreateEventListener)

### getPreCollectionRemoveEventListeners

    public PreCollectionRemoveEventListener[] getPreCollectionRemoveEventListeners()

### setPreCollectionRemoveEventListeners

    public void setPreCollectionRemoveEventListeners(PreCollectionRemoveEventListener[] preCollectionRemoveEventListener)

### getPreCollectionUpdateEventListeners

    public PreCollectionUpdateEventListener[] getPreCollectionUpdateEventListeners()

### setPreCollectionUpdateEventListeners

    public void setPreCollectionUpdateEventListeners(PreCollectionUpdateEventListener[] preCollectionUpdateEventListeners)

### getPostDeleteEventListeners

    public PostDeleteEventListener[] getPostDeleteEventListeners()

### getPostInsertEventListeners

    public PostInsertEventListener[] getPostInsertEventListeners()

### getPostUpdateEventListeners

    public PostUpdateEventListener[] getPostUpdateEventListeners()

### setPostDeleteEventListeners

    public void setPostDeleteEventListeners(PostDeleteEventListener[] postDeleteEventListener)

### setPostInsertEventListeners

    public void setPostInsertEventListeners(PostInsertEventListener[] postInsertEventListener)

### setPostUpdateEventListeners

    public void setPostUpdateEventListeners(PostUpdateEventListener[] postUpdateEventListener)

### getPostCollectionRecreateEventListeners

    public PostCollectionRecreateEventListener[] getPostCollectionRecreateEventListeners()

### setPostCollectionRecreateEventListeners

    public void setPostCollectionRecreateEventListeners(PostCollectionRecreateEventListener[] postCollectionRecreateEventListener)

### getPostCollectionRemoveEventListeners

    public PostCollectionRemoveEventListener[] getPostCollectionRemoveEventListeners()

### setPostCollectionRemoveEventListeners

    public void setPostCollectionRemoveEventListeners(PostCollectionRemoveEventListener[] postCollectionRemoveEventListener)

### getPostCollectionUpdateEventListeners

    public PostCollectionUpdateEventListener[] getPostCollectionUpdateEventListeners()

### setPostCollectionUpdateEventListeners

    public void setPostCollectionUpdateEventListeners(PostCollectionUpdateEventListener[] postCollectionUpdateEventListeners)

### getPreDeleteEventListeners

    public PreDeleteEventListener[] getPreDeleteEventListeners()

### setPreDeleteEventListeners

    public void setPreDeleteEventListeners(PreDeleteEventListener[] preDeleteEventListener)

### getPreInsertEventListeners

    public PreInsertEventListener[] getPreInsertEventListeners()

### setPreInsertEventListeners

    public void setPreInsertEventListeners(PreInsertEventListener[] preInsertEventListener)

### getPreUpdateEventListeners

    public PreUpdateEventListener[] getPreUpdateEventListeners()

### setPreUpdateEventListeners

    public void setPreUpdateEventListeners(PreUpdateEventListener[] preUpdateEventListener)

### initializeListeners

    public void initializeListeners(Configuration cfg)

  Call `initialize()` on any listeners that implement `Initializable`.

  See Also:
    `Initializable`

### getPostCommitDeleteEventListeners

    public PostDeleteEventListener[] getPostCommitDeleteEventListeners()

### setPostCommitDeleteEventListeners

    public void setPostCommitDeleteEventListeners(PostDeleteEventListener[] postCommitDeleteEventListeners)

### getPostCommitInsertEventListeners

    public PostInsertEventListener[] getPostCommitInsertEventListeners()

### setPostCommitInsertEventListeners

    public void setPostCommitInsertEventListeners(PostInsertEventListener[] postCommitInsertEventListeners)

### getPostCommitUpdateEventListeners

    public PostUpdateEventListener[] getPostCommitUpdateEventListeners()

### setPostCommitUpdateEventListeners

    public void setPostCommitUpdateEventListeners(PostUpdateEventListener[] postCommitUpdateEventListeners)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD